package ufrn.imd.domain;

import ufrn.imd.domain.Account;

import java.io.Serializable;
import java.util.Optional;

public class Client implements Serializable {
    private static final long serialVersionUID = 1L;

    private Account account;

    public Client(Account account) {
        this.account = account;
    }

    public Double getBalance() {
        return account.getBalance();
    }
    public Optional<Account> getAccount() {
        return Optional.of(account);
    }
}
